# 交易事件

{% openapi src="/files/ajHcIelLZ9RV5wLk1Wog" path="{callbackUrl payment}" method="post" %}
[webhook\_OpenAPI.json](https://1129616527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMb9UzyxGUyxHylm4UJSJ%2Fuploads%2Fyp26dgwzZhFUSrBEWQ9l%2Fwebhook_OpenAPI.json?alt=media\&token=7e13dde6-1a22-4f6e-b67b-c5f1caa7dabc)
{% endopenapi %}

### 请求报文示例

{% code title="webhook.sh" %}

```
curl --request POST \
  --url https://{callbackUrl payment} \
  --header 'Content-Type: application/json' \
  --header 'request-id: 58675' \
  --header 'request-time: 1651888520935' \
  --header 'gateway-no: 12345001' \
  --header 'version: V2022-03' \
  --header 'sign-info: 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822B' \
  --data '{
    "data": {
        "transactionType": "Sale",
        "orderAmount": "63.65",
        "orderNo": "NEW_API9985936096881",
        "tradeNo": "2022051811043674149462",
        "orderCurrency": "EUR",
        "orderInfo": "Transaction Approved",
        "orderStatus": "success",
        "remark": "TEST"
    },
    "type": "transaction.success"
}'
```

{% endcode %}

{% hint style="info" %} <mark style="color:orange;">{callbackUrl payment}</mark> 地址为交易时填写的 <mark style="color:red;">callbackUrl</mark> 参数

商户收到该事件通知后，返回"success"，则表示通知成功，否则会继续通知
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/api-explorer/webhook/jiao-yi-shi-jian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
